summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-31 06:23:58 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-07-31 06:23:58 +0000
commitc9e2735206c5331476d5b4dda1debb6458344a02 (patch)
tree5b267c5a1217a8722c2d7d810bc37db482c54ebe /dev-python
parent7c84443456e12d80998a8b77484a7054b0bfa17c (diff)
downloadbaldeagleos-repo-c9e2735206c5331476d5b4dda1debb6458344a02.tar.gz
baldeagleos-repo-c9e2735206c5331476d5b4dda1debb6458344a02.tar.xz
baldeagleos-repo-c9e2735206c5331476d5b4dda1debb6458344a02.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/agate-dbf/agate-dbf-0.2.2-r2.ebuild2
-rw-r--r--dev-python/agate-excel/agate-excel-0.2.5-r2.ebuild2
-rw-r--r--dev-python/agate-sql/agate-sql-0.5.9.ebuild2
-rw-r--r--dev-python/agate/agate-1.7.1.ebuild2
-rw-r--r--dev-python/botocore/botocore-1.31.15.ebuild7
-rw-r--r--dev-python/cattrs/cattrs-23.1.2.ebuild2
-rw-r--r--dev-python/csvkit/csvkit-1.1.1.ebuild2
-rw-r--r--dev-python/dbfread/dbfread-2.0.7-r1.ebuild2
-rw-r--r--dev-python/et_xmlfile/et_xmlfile-1.1.0-r1.ebuild2
-rw-r--r--dev-python/flake8/Manifest1
-rw-r--r--dev-python/flake8/flake8-6.1.0.ebuild63
-rw-r--r--dev-python/iminuit/Manifest1
-rw-r--r--dev-python/iminuit/iminuit-2.23.0.ebuild52
-rw-r--r--dev-python/isodate/isodate-0.6.1-r1.ebuild2
-rw-r--r--dev-python/jedi/Manifest1
-rw-r--r--dev-python/jedi/jedi-0.19.0.ebuild72
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/leather/leather-0.3.4-r1.ebuild2
-rw-r--r--dev-python/openpyxl/openpyxl-3.1.2.ebuild2
-rw-r--r--dev-python/orjson/orjson-3.9.2.ebuild2
-rw-r--r--dev-python/parsedatetime/parsedatetime-2.6-r1.ebuild2
-rw-r--r--dev-python/pendulum/pendulum-2.1.2-r2.ebuild2
-rw-r--r--dev-python/platformdirs/Manifest1
-rw-r--r--dev-python/platformdirs/platformdirs-3.10.0.ebuild49
-rw-r--r--dev-python/pyflakes/Manifest1
-rw-r--r--dev-python/pyflakes/pyflakes-3.1.0.ebuild36
-rw-r--r--dev-python/pyglet/Manifest1
-rw-r--r--dev-python/pyglet/pyglet-2.0.9.ebuild82
-rw-r--r--dev-python/pyicu/pyicu-2.11.ebuild2
-rw-r--r--dev-python/pyparsing/Manifest1
-rw-r--r--dev-python/pyparsing/pyparsing-3.1.1.ebuild47
-rw-r--r--dev-python/pypdf/Manifest1
-rw-r--r--dev-python/pypdf/pypdf-3.14.0.ebuild56
-rw-r--r--dev-python/pytest-param-files/Manifest1
-rw-r--r--dev-python/pytest-param-files/pytest-param-files-0.6.0.ebuild30
-rw-r--r--dev-python/pytest-subprocess/pytest-subprocess-1.5.0.ebuild2
-rw-r--r--dev-python/python-slugify/python-slugify-8.0.1.ebuild2
-rw-r--r--dev-python/pytimeparse/pytimeparse-1.1.8-r1.ebuild2
-rw-r--r--dev-python/rich/Manifest1
-rw-r--r--dev-python/rich/rich-13.5.0.ebuild65
-rw-r--r--dev-python/scikit-build-core/scikit-build-core-0.4.8.ebuild2
-rw-r--r--dev-python/text-unidecode/text-unidecode-1.3-r1.ebuild2
-rw-r--r--dev-python/xlrd/xlrd-2.0.1-r1.ebuild2
-rw-r--r--dev-python/xxhash/Manifest1
-rw-r--r--dev-python/xxhash/xxhash-3.3.0.ebuild41
46 files changed, 629 insertions, 36 deletions
diff --git a/dev-python/agate-dbf/agate-dbf-0.2.2-r2.ebuild b/dev-python/agate-dbf/agate-dbf-0.2.2-r2.ebuild
index c08c57b84315..db20e1deaa6b 100644
--- a/dev-python/agate-dbf/agate-dbf-0.2.2-r2.ebuild
+++ b/dev-python/agate-dbf/agate-dbf-0.2.2-r2.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm64-macos ~x64-macos"
RDEPEND="
>=dev-python/agate-1.5.0[${PYTHON_USEDEP}]
diff --git a/dev-python/agate-excel/agate-excel-0.2.5-r2.ebuild b/dev-python/agate-excel/agate-excel-0.2.5-r2.ebuild
index 912131c8692d..d8da4b1a38ab 100644
--- a/dev-python/agate-excel/agate-excel-0.2.5-r2.ebuild
+++ b/dev-python/agate-excel/agate-excel-0.2.5-r2.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm64-macos ~x64-macos"
RDEPEND="
>=dev-python/agate-1.5.0[${PYTHON_USEDEP}]
diff --git a/dev-python/agate-sql/agate-sql-0.5.9.ebuild b/dev-python/agate-sql/agate-sql-0.5.9.ebuild
index e693936bffdc..c129a8d0e48e 100644
--- a/dev-python/agate-sql/agate-sql-0.5.9.ebuild
+++ b/dev-python/agate-sql/agate-sql-0.5.9.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm64-macos ~x64-macos"
RDEPEND="
>=dev-python/agate-1.5.0[${PYTHON_USEDEP}]
diff --git a/dev-python/agate/agate-1.7.1.ebuild b/dev-python/agate/agate-1.7.1.ebuild
index 0cee34e4b175..b269a2e7d603 100644
--- a/dev-python/agate/agate-1.7.1.ebuild
+++ b/dev-python/agate/agate-1.7.1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~riscv"
+KEYWORDS="~amd64 ~riscv ~arm64-macos ~x64-macos"
RDEPEND="
>=dev-python/pytimeparse-1.1.5[${PYTHON_USEDEP}]
diff --git a/dev-python/botocore/botocore-1.31.15.ebuild b/dev-python/botocore/botocore-1.31.15.ebuild
index 509d06dedf97..4bc7f657ecb8 100644
--- a/dev-python/botocore/botocore-1.31.15.ebuild
+++ b/dev-python/botocore/botocore-1.31.15.ebuild
@@ -66,13 +66,6 @@ python_test() {
tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
# TODO
tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
- # urllib3-2 compatibility, mock relies on implementation details
- tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_continue_no_response_from_server
- tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_continue_returned
- tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_continue_sends_307
- tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_sends_connection_header
- tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_handles_expect_100_with_different_reason_phrase
- tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_state_reset_on_connection_close
)
epytest tests/{functional,unit} -n "$(makeopts_jobs)"
diff --git a/dev-python/cattrs/cattrs-23.1.2.ebuild b/dev-python/cattrs/cattrs-23.1.2.ebuild
index eff17bdbc59f..48576111d21f 100644
--- a/dev-python/cattrs/cattrs-23.1.2.ebuild
+++ b/dev-python/cattrs/cattrs-23.1.2.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm64"
IUSE="test-rust"
RDEPEND="
diff --git a/dev-python/csvkit/csvkit-1.1.1.ebuild b/dev-python/csvkit/csvkit-1.1.1.ebuild
index 48c451ff0ee3..b042f12efe85 100644
--- a/dev-python/csvkit/csvkit-1.1.1.ebuild
+++ b/dev-python/csvkit/csvkit-1.1.1.ebuild
@@ -15,7 +15,7 @@ HOMEPAGE="
"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm64-macos ~x64-macos"
RDEPEND="
>=dev-python/agate-1.6.1[${PYTHON_USEDEP}]
diff --git a/dev-python/dbfread/dbfread-2.0.7-r1.ebuild b/dev-python/dbfread/dbfread-2.0.7-r1.ebuild
index 0e72f400525b..f2d9142a75ea 100644
--- a/dev-python/dbfread/dbfread-2.0.7-r1.ebuild
+++ b/dev-python/dbfread/dbfread-2.0.7-r1.ebuild
@@ -22,7 +22,7 @@ SRC_URI+="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm64-macos ~x64-macos"
distutils_enable_tests pytest
diff --git a/dev-python/et_xmlfile/et_xmlfile-1.1.0-r1.ebuild b/dev-python/et_xmlfile/et_xmlfile-1.1.0-r1.ebuild
index 9e17767f4f71..4a5e800cfdb9 100644
--- a/dev-python/et_xmlfile/et_xmlfile-1.1.0-r1.ebuild
+++ b/dev-python/et_xmlfile/et_xmlfile-1.1.0-r1.ebuild
@@ -23,7 +23,7 @@ S=${WORKDIR}/${MY_P}
SLOT="0"
LICENSE="MIT"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
RDEPEND="
dev-python/lxml[${PYTHON_USEDEP}]
diff --git a/dev-python/flake8/Manifest b/dev-python/flake8/Manifest
index 468a0ce739e2..1105e0a4a6ca 100644
--- a/dev-python/flake8/Manifest
+++ b/dev-python/flake8/Manifest
@@ -1 +1,2 @@
DIST flake8-6.0.0.gh.tar.gz 139138 BLAKE2B 87590594a95f48a9e532ca545d4ae17a098cba81a7708066d63180b27e1cd0e0b648a2362d16b3818ef1b91cbe9ecf51810d45136fb42f188fc09083e9b31921 SHA512 27de4632332ee72bb5deedfcb7ea59e31a3e7fbfd6c165adf019b06cccaba51b776f4310219d8b27cf4894ed2597330fe9c0e381187353d4dc239f102eedd26a
+DIST flake8-6.1.0.gh.tar.gz 139267 BLAKE2B 69210f4ebe5dd4b56425fca9289349820cc5dcee515f75cb855b095dc1a0a6ba380448f14fca19423940d853383576ddc665c5a7bd27f8aa96940ac410d8742b SHA512 a44d245b023acbb89e64071f6cb76f5543e538472a8815fa329a3b3671133cc6f96f246d83877a2a9ac91c32ecdf65858f8edf996efba77906af74b1632b74c8
diff --git a/dev-python/flake8/flake8-6.1.0.ebuild b/dev-python/flake8/flake8-6.1.0.ebuild
new file mode 100644
index 000000000000..e25a21848ef3
--- /dev/null
+++ b/dev-python/flake8/flake8-6.1.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A wrapper around PyFlakes, pep8 & mccabe"
+HOMEPAGE="
+ https://github.com/PyCQA/flake8/
+ https://pypi.org/project/flake8/
+"
+SRC_URI="
+ https://github.com/PyCQA/flake8/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ <dev-python/pyflakes-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pyflakes-3.1.0[${PYTHON_USEDEP}]
+ <dev-python/pycodestyle-2.12.0[${PYTHON_USEDEP}]
+ >=dev-python/pycodestyle-2.11.0[${PYTHON_USEDEP}]
+"
+PDEPEND="
+ >=dev-python/mccabe-0.7.0[${PYTHON_USEDEP}]
+ <dev-python/mccabe-0.8.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ ${PDEPEND}
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ dev-python/sphinx-prompt \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fails if additional flake8 plugins are installed
+ tests/integration/test_plugins.py::test_local_plugin_can_add_option
+ )
+ if [[ ${EPYTHON} == pypy3 ]]; then
+ EPYTEST_DESELECT+=(
+ # problem with pypy3.10 in dev-python/pyflakes
+ # https://github.com/PyCQA/pyflakes/issues/779
+ tests/integration/test_main.py::test_malformed_per_file_ignores_error
+ tests/integration/test_main.py::test_tokenization_error_but_not_syntax_error
+ tests/integration/test_main.py::test_tokenization_error_is_a_syntax_error
+ )
+ fi
+
+ epytest
+}
diff --git a/dev-python/iminuit/Manifest b/dev-python/iminuit/Manifest
index 2644f892ba55..6d930b83fe53 100644
--- a/dev-python/iminuit/Manifest
+++ b/dev-python/iminuit/Manifest
@@ -1,2 +1,3 @@
DIST iminuit-2.21.3.tar.gz 437827 BLAKE2B 5196e896769f6312bb6ba9af8d6f03bea6023a9459ccbe8553e4c10ba5dc2ed90e4e4b57bdd104f7b72e7514a50c0d4c717c76adf206d7eaddcd3c4c54c4d210 SHA512 5e48d4451caf56688143fa4590528fb4ed0660e144dbb3d1c409b84f793593478979728b4af9748b7bbdb7063e2ef7e05476a2ecd52af089f351522aadfc9ba4
DIST iminuit-2.22.0.tar.gz 2324676 BLAKE2B e45952ee6a7f7b6ef3e1ac570abf167423c59ee82841b360278d43c4ab1e07667e143a439f7354e8257007a198c015388b9acf0a5e9aa487814d6619999eab2e SHA512 e9eda1bc7741c35bd9e9e650a626b45a2f5e4362a7c1dead57dcc461fa6e6cdbab8cfd4203c483017f8fa43e6cf1e75e074d40b92cbc3f271140d950ee4da158
+DIST iminuit-2.23.0.tar.gz 2325309 BLAKE2B 05e94a0604daded06419d41dc6fa61f3aeb621dec1a84fd69d93a2028a990a6cdae72c99c2b184514003695025c70bea22340138f45abb2092775042293d8e92 SHA512 ea0b69722a75e537159fbdbd111eaf48431e0f5c355ef1256f32763873f9dfd3a1a195c45647eb4ca4be2d0532955eb5aa1f6ff43482764d3e566dce4b401305
diff --git a/dev-python/iminuit/iminuit-2.23.0.ebuild b/dev-python/iminuit/iminuit-2.23.0.ebuild
new file mode 100644
index 000000000000..fb4d5a27adcb
--- /dev/null
+++ b/dev-python/iminuit/iminuit-2.23.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=scikit-build-core
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit cmake distutils-r1 virtualx pypi
+
+DESCRIPTION="Minuit numerical function minimization in Python"
+HOMEPAGE="
+ https://github.com/scikit-hep/iminuit/
+ https://pypi.org/project/iminuit/
+"
+
+LICENSE="MIT LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # warnings caught as exceptions, sigh
+ # https://github.com/scikit-hep/iminuit/pull/907
+ tests/test_cost.py::test_UnbinnedNLL_visualize
+
+ # precision error
+ tests/test_cost.py::test_Template_with_model_2D
+ )
+
+ epytest -p no:pytest-describe || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/isodate/isodate-0.6.1-r1.ebuild b/dev-python/isodate/isodate-0.6.1-r1.ebuild
index 8a443603ceb3..8fc36a4c4823 100644
--- a/dev-python/isodate/isodate-0.6.1-r1.ebuild
+++ b/dev-python/isodate/isodate-0.6.1-r1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
diff --git a/dev-python/jedi/Manifest b/dev-python/jedi/Manifest
index a9b20b34903a..ac66f432e872 100644
--- a/dev-python/jedi/Manifest
+++ b/dev-python/jedi/Manifest
@@ -1,3 +1,4 @@
DIST django-stubs-fd057010f6cbf176f57d1099e82be46d39b99cb9.tar.gz 183312 BLAKE2B a68f6139903f5001db994ee0d881f40ab74932e81c3e2c3a0c22dc56e6be681d0fb42ce837603b21e4d0d448ccb25884ef0f69039305f309e82603267cee9f6a SHA512 506322c132f94e6a1e88cdbde6027a566387731fa6ad59934f95c3511f49d90eff2a3138363811be648b096407d418cd1f801df0bc35b1e464ef181e4076ada1
DIST jedi-0.18.2.gh.tar.gz 469286 BLAKE2B 6b65a231d092a6869b55c14a8254c4716695f46cdc9733f50607cf7bb8c864f319e2abfbe812bffc514c78cd92059fc29fa9cc0a38b1e14d6bc8bf3ad3596097 SHA512 1df24190c7d468f388e7175f4625670df81cd9a533c8bde12b1e0eaf982a173bdd001bbea6680144cc50ca263fa2b802da5d71de555f81717f4377c46826d0d1
+DIST jedi-0.19.0.gh.tar.gz 472334 BLAKE2B 04e8fda32c2d0b0476d197c5686011f811d5c269cdb61b15d0bafa9e3aabed05deb44f98d2e3a25faf7bd130b3a9289d058ed06199fc760357d34c551ecc5ad0 SHA512 0db8c7859e55057afc0367455c2f3817d8f05a19b6fbdc163a74f07854562c9c29307c7f8ac92e0ce9349353ac148f728a25b3be4cc62dc35f3060bdb79b02c8
DIST typeshed-ae9d4f4b21bb5e1239816c301da7b1ea904b44c3.tar.gz 602044 BLAKE2B 53298918a7e9a1163e76d4c70ad2a2117ee90b49329aa82d82b2aaaeaf000c971872f83ed283af6dc4be068b813876760c8b1b4acb4131865572a4aed3ea9230 SHA512 b3b9da66b6c6e03e0b262b3262df31215a5e080468ca9ebf4332ed53d715cd3956db7067fad3ec267042ff704f81ac665c703ef2fd0c5b445d440bd8e52bf1aa
diff --git a/dev-python/jedi/jedi-0.19.0.ebuild b/dev-python/jedi/jedi-0.19.0.ebuild
new file mode 100644
index 000000000000..a9c8712a1a90
--- /dev/null
+++ b/dev-python/jedi/jedi-0.19.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+TYPESHED_P="typeshed-ae9d4f4b21bb5e1239816c301da7b1ea904b44c3"
+DJANGO_STUBS_P="django-stubs-fd057010f6cbf176f57d1099e82be46d39b99cb9"
+
+DESCRIPTION="Autocompletion library for Python"
+HOMEPAGE="
+ https://github.com/davidhalter/jedi/
+ https://pypi.org/project/jedi/
+"
+SRC_URI="
+ https://github.com/davidhalter/jedi/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ https://github.com/davidhalter/typeshed/archive/${TYPESHED_P#typeshed-}.tar.gz
+ -> ${TYPESHED_P}.tar.gz
+ https://github.com/davidhalter/django-stubs/archive/${DJANGO_STUBS_P#django-stubs-}.tar.gz
+ -> ${DJANGO_STUBS_P/v/}.tar.gz
+"
+
+LICENSE="
+ MIT
+ test? ( Apache-2.0 )
+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ <dev-python/parso-0.9[${PYTHON_USEDEP}]
+ >=dev-python/parso-0.8.3[${PYTHON_USEDEP}]
+"
+
+# RDEPEND needed because of an import jedi inside conf.py
+distutils_enable_sphinx docs \
+ dev-python/parso \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # upstream includes these as submodules ...
+ rmdir "${S}"/jedi/third_party/{django-stubs,typeshed} || die
+ mv "${WORKDIR}/${DJANGO_STUBS_P/v/}" \
+ "${S}/jedi/third_party/django-stubs" || die
+ mv "${WORKDIR}/${TYPESHED_P}" \
+ "${S}/jedi/third_party/typeshed" || die
+
+ # test_complete_expanduser relies on $HOME not being empty
+ > "${HOME}"/somefile || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # fragile
+ test/test_speed.py
+ # assumes pristine virtualenv
+ test/test_inference/test_imports.py::test_os_issues
+ )
+
+ # some plugin breaks case-insensitivity on completions
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # django and pytest tests are very version dependent
+ epytest -o addopts= -k "not django and not pytest"
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index e9da2ac43cac..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..ddb5b0f1787e 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,11 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
+ <email>cyber+gentoo@sysrq.in</email>
+ <name>Anna</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/leather/leather-0.3.4-r1.ebuild b/dev-python/leather/leather-0.3.4-r1.ebuild
index 1104c14a23a7..fe19e33220cc 100644
--- a/dev-python/leather/leather-0.3.4-r1.ebuild
+++ b/dev-python/leather/leather-0.3.4-r1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~riscv"
+KEYWORDS="~amd64 ~riscv ~arm64-macos ~x64-macos"
RDEPEND="
dev-python/cssselect[${PYTHON_USEDEP}]
diff --git a/dev-python/openpyxl/openpyxl-3.1.2.ebuild b/dev-python/openpyxl/openpyxl-3.1.2.ebuild
index 7e8d7305ea6d..1a47575face9 100644
--- a/dev-python/openpyxl/openpyxl-3.1.2.ebuild
+++ b/dev-python/openpyxl/openpyxl-3.1.2.ebuild
@@ -19,7 +19,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
RDEPEND="
dev-python/et_xmlfile[${PYTHON_USEDEP}]
diff --git a/dev-python/orjson/orjson-3.9.2.ebuild b/dev-python/orjson/orjson-3.9.2.ebuild
index fa3fe7e5f901..721073f8e871 100644
--- a/dev-python/orjson/orjson-3.9.2.ebuild
+++ b/dev-python/orjson/orjson-3.9.2.ebuild
@@ -58,7 +58,7 @@ LICENSE="|| ( Apache-2.0 MIT )"
# Dependent crate licenses
LICENSE+=" Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm64"
BDEPEND="
test? (
diff --git a/dev-python/parsedatetime/parsedatetime-2.6-r1.ebuild b/dev-python/parsedatetime/parsedatetime-2.6-r1.ebuild
index 3378c898a799..edb069a8aa8a 100644
--- a/dev-python/parsedatetime/parsedatetime-2.6-r1.ebuild
+++ b/dev-python/parsedatetime/parsedatetime-2.6-r1.ebuild
@@ -17,6 +17,6 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 arm arm64 ~ppc64 ~riscv x86 ~arm64-macos ~x64-macos"
distutils_enable_tests pytest
diff --git a/dev-python/pendulum/pendulum-2.1.2-r2.ebuild b/dev-python/pendulum/pendulum-2.1.2-r2.ebuild
index 9630cbc84cdd..13fc0238630a 100644
--- a/dev-python/pendulum/pendulum-2.1.2-r2.ebuild
+++ b/dev-python/pendulum/pendulum-2.1.2-r2.ebuild
@@ -22,7 +22,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~x86"
+KEYWORDS="amd64 ~arm64 ~x86"
DEPEND="
dev-python/python-dateutil[${PYTHON_USEDEP}]
diff --git a/dev-python/platformdirs/Manifest b/dev-python/platformdirs/Manifest
index c938047ff3c8..6755c176f016 100644
--- a/dev-python/platformdirs/Manifest
+++ b/dev-python/platformdirs/Manifest
@@ -1,3 +1,4 @@
+DIST platformdirs-3.10.0.tar.gz 19203 BLAKE2B 951568733e4c3324d5817b3d9451aa5cc1d08afcce690a574357551f4452192cc98d406c6fc5c7d65d0a1f1d6111cb39a0877994e52021652c8c054add54f258 SHA512 39c068dad3fe6ec85247a8957c0fcfb27207e78041686a0231d836eeb431bba82583e2fcb609903bb0f479cd04e4c7866b6126e52a708e7e71eed7631bd121b0
DIST platformdirs-3.8.0.tar.gz 18451 BLAKE2B cac717c3968fd20b7bdac464443cedcdc50b04b732ae8a212fcb946170ad1553ffae82cbdca05c2cf01ebbc4383216cd0f0afe84cddc2ce6107f10fd40213542 SHA512 64937f3e9e03a9ec8dc2068777dfe553ec09cef62ce53a753608bd9a73e0afaa4489c98046e7b4b3fdbded237cf2813bfd306a6d5ad5788031b6857d8d4fa430
DIST platformdirs-3.8.1.tar.gz 18533 BLAKE2B d1d669fe76e52637f59c32ddb93920988821a1f1720d6b91042f80abedafc1d6dbcd5f744f22f5502121dc0b12285001cbde63e923e8159f139342a9497459e2 SHA512 85d7781e4ef0755bf9a7a4d90b92ea06f497081ec4c5438780f12876a1006b2e591c1b182f6648cad19039d1bd7611cf0c2215015653bafbad2cc529f27d94e7
DIST platformdirs-3.9.1.tar.gz 18836 BLAKE2B d673573005e97895e4d665e1539805be7c4355d8de166481625f76fab250779e8efa81d86374fc388b24d8cc8d892f61b6dda113cdbb9419fff3357006c9b7e6 SHA512 c41d8be17c9336b5eba9dc15beb2d6db4b53d2ac06c51439542490019e25c091351c266f11fc4998b8eef00eb91399c464ac59b318bcd1ef14ebbd8350ae2c50
diff --git a/dev-python/platformdirs/platformdirs-3.10.0.ebuild b/dev-python/platformdirs/platformdirs-3.10.0.ebuild
new file mode 100644
index 000000000000..2c65d0f2dfcc
--- /dev/null
+++ b/dev-python/platformdirs/platformdirs-3.10.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A small Python module for determining appropriate platform-specific dirs"
+HOMEPAGE="
+ https://pypi.org/project/platformdirs/
+ https://github.com/platformdirs/platformdirs/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+BDEPEND="
+ test? (
+ dev-python/appdirs[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ grep -q 'build-backend = "hatchling' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "${PN}"
+ version = "${PV}"
+ description = 'A small Python package for determining appropriate platform-specific dirs, e.g. a "user data dir".'
+ EOF
+ # sigh
+ cat > src/platformdirs/version.py <<-EOF || die
+ __version__ = version = '${PV}'
+ __version_tuple__ = version_tuple = (${PV//./, })
+ EOF
+}
diff --git a/dev-python/pyflakes/Manifest b/dev-python/pyflakes/Manifest
index ae8dfb6b9a88..49d6006afee4 100644
--- a/dev-python/pyflakes/Manifest
+++ b/dev-python/pyflakes/Manifest
@@ -1 +1,2 @@
DIST pyflakes-3.0.1.tar.gz 63554 BLAKE2B 992dc4c81204c9ae2fd44744452e76a11209552edaef930edb14b7ba4763720cd1c0c0cd148fa7edd474b33aa529d8ec28f7f35a2b02b707d58cf70243fc13a9 SHA512 10ffe2b92f3885d40578452423a93609f8546b2392997bdbc3f64ca0094516ce6b8449e5d3675bda5fdbc16190c89be23609559fc4cd4f1c97e6af032226d7b7
+DIST pyflakes-3.1.0.tar.gz 63636 BLAKE2B 89e5fae6bba9efc820e348ddac37fd8590478c64363a5f295cc620ebbc7b51d4d51e0cff30b6a54ee573612e5309d7fff9462bc31c9e89c34cf7cdbecffabd30 SHA512 6277eaa82a3d94f8052b3da865cfcc8e99846738b5869fca1be92bb5b9a4db0088859d811da565200e640ad0555d46e0ebcaf831cd422b84304514592270b02e
diff --git a/dev-python/pyflakes/pyflakes-3.1.0.ebuild b/dev-python/pyflakes/pyflakes-3.1.0.ebuild
new file mode 100644
index 000000000000..ada1bca718b1
--- /dev/null
+++ b/dev-python/pyflakes/pyflakes-3.1.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Passive checker for Python programs"
+HOMEPAGE="
+ https://github.com/PyCQA/pyflakes/
+ https://pypi.org/project/pyflakes/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ if [[ ${EPYTHON} == pypy3 ]]; then
+ # regressions with pypy3.10
+ # https://github.com/PyCQA/pyflakes/issues/779
+ EPYTEST_DESELECT+=(
+ pyflakes/test/test_api.py::CheckTests::test_eofSyntaxError
+ pyflakes/test/test_api.py::CheckTests::test_misencodedFileUTF8
+ pyflakes/test/test_api.py::CheckTests::test_multilineSyntaxError
+ )
+ fi
+
+ epytest
+}
diff --git a/dev-python/pyglet/Manifest b/dev-python/pyglet/Manifest
index 9757dda542d4..d28b47c12000 100644
--- a/dev-python/pyglet/Manifest
+++ b/dev-python/pyglet/Manifest
@@ -1 +1,2 @@
DIST pyglet-2.0.8.gh.tar.gz 6197927 BLAKE2B 7b6f26b0c22fea5da3372ab0a3c71fdc55960452530ea565c2946b39de978fb67e5b4467097ed477ec8eff3a3b5ee5f30f84a31172879c9068821492b4d21bbc SHA512 f8fe20d8e43dcd852e96523e03d0e10fff9a18dd50131e0ddc46a49c981f33b3ea9055c769b87c421e4465c4a98fd5a991a862b37215e1d9eac44ff4d33f4bdf
+DIST pyglet-2.0.9.gh.tar.gz 6201289 BLAKE2B 5d79171a1a01087a26a9d02737d6cc1c7bd30d0c7b4266caf211f73a035f26d40495c2aed2090cb4e72b8cd7964b7638c0bd924e0e6bf66db19aecfcac04f455 SHA512 dbaaaa4006b9b92b8d53b5936dc82769c4f2ea203b83fe96952dbfaaba14c1cb877e850c26fb6c1fd4da2580cfc661ff5ea10f30449365dbbfe0307734ba81bd
diff --git a/dev-python/pyglet/pyglet-2.0.9.ebuild b/dev-python/pyglet/pyglet-2.0.9.ebuild
new file mode 100644
index 000000000000..4969be3e14e7
--- /dev/null
+++ b/dev-python/pyglet/pyglet-2.0.9.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 virtualx xdg-utils
+
+DESCRIPTION="Cross-platform windowing and multimedia library for Python"
+HOMEPAGE="
+ https://pyglet.org/
+ https://github.com/pyglet/pyglet/
+ https://pypi.org/project/pyglet/
+"
+SRC_URI="https://github.com/pyglet/pyglet/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples image +sound"
+
+BDEPEND="
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ media-libs/fontconfig
+ )
+"
+RDEPEND="
+ virtual/glu
+ virtual/opengl
+ image? ( || (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ x11-libs/gtk+:2
+ ) )
+ sound? ( || (
+ media-libs/libpulse
+ media-libs/openal
+ ) )
+"
+# ffmpeg? ( media-libs/avbin-bin )
+
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ xdg_environment_reset
+
+ local EPYTEST_DESELECT=(
+ # lacking device/server permissions
+ tests/unit/media/test_listener.py::test_openal_listener
+ tests/unit/media/test_listener.py::test_pulse_listener
+ # fragile to system load
+ tests/unit/media/test_player.py::PlayerTestCase::test_pause_resume
+ tests/unit/test_clock_freq.py::test_elapsed_time_between_tick
+ )
+ if [[ ${EPYTHON} == python3.11 ]]; then
+ EPYTEST_DESELECT+=(
+ # broken test
+ # https://github.com/pyglet/pyglet/issues/606
+ tests/unit/test_events.py::test_push_handlers_instance
+ )
+ fi
+
+ # Specify path to avoid running interactive tests
+ # We could add in integration tests, but they're slow
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ nonfatal epytest tests/unit || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pyicu/pyicu-2.11.ebuild b/dev-python/pyicu/pyicu-2.11.ebuild
index 5fac3f861915..afb474ac6fad 100644
--- a/dev-python/pyicu/pyicu-2.11.ebuild
+++ b/dev-python/pyicu/pyicu-2.11.ebuild
@@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~ppc64 ~riscv x86 ~arm64-macos ~x64-macos"
DEPEND="
dev-libs/icu:=
diff --git a/dev-python/pyparsing/Manifest b/dev-python/pyparsing/Manifest
index 7a0a48dafd9b..133b4bd7f869 100644
--- a/dev-python/pyparsing/Manifest
+++ b/dev-python/pyparsing/Manifest
@@ -1,2 +1,3 @@
DIST pyparsing-3.1.0.tar.gz 882565 BLAKE2B 8ed2e15e2422ded9a558b866a5cbbdc0fb6c7ce42962710e42cfd751aae7b48bacd3d6201084189a940d262fb7b142ea37b897bae23f97a175f6152c19adb5c9 SHA512 0ad2e8fff93708426b3675e2d41da12b3f09531bf272799db4095ee618bbaa0f4b90e527ff09dda2acbdb923d59117678fbb28b82a7cfd2b395d686f47b61850
+DIST pyparsing-3.1.1.tar.gz 884814 BLAKE2B d5a2b74181d2d93575e9be43285a7156c3b796d58993397c2ed8df10467d54ef193d1f82bbdac0cecd97fb20d1cb64d79f8502b02d8886511ca90c02ac3739bb SHA512 59ae01e13277e25cabd1a1ea41a27aac9235c09746f54c0eaac53d0aae488309fe2044b3b31e1105cb8207ad3326828ec32bdd5e904cceee8b0d032740679628
DIST pyparsing_3.0.9.gh.tar.gz 967771 BLAKE2B c13c74661b9e0d53b4886c9949b01951d220991f916362a13ce0c32c0ab05a6b1cab4d5e5a626acb7563c0ec1716348ede205cb67bf22c0710904f07404ad82a SHA512 1158f27e31f8eced540217b7234b09005eac416fad74faf59678fdae93fe2f76e0e3b5f4adfd3ceb42c8aef19150950293e989c9a5189741175073eb7a03cd6d
diff --git a/dev-python/pyparsing/pyparsing-3.1.1.ebuild b/dev-python/pyparsing/pyparsing-3.1.1.ebuild
new file mode 100644
index 000000000000..9f5e1c3d71c8
--- /dev/null
+++ b/dev-python/pyparsing/pyparsing-3.1.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2004-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Easy-to-use Python module for text parsing"
+HOMEPAGE="
+ https://github.com/pyparsing/pyparsing/
+ https://pypi.org/project/pyparsing/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # railroad-diagrams not packaged (and not suitable for packaging yet)
+ tests/test_diagram.py
+)
+
+EPYTEST_DESELECT=(
+ # also railroad-diagrams
+ tests/test_examples.py::TestExamples::test_range_check
+ tests/test_unit.py::Test02_WithoutPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test04_WithPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test06_WithBoundedPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test08_WithUnboundedPackrat::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test09_WithLeftRecursionParsing::testEmptyExpressionsAreHandledProperly
+ tests/test_unit.py::Test10_WithLeftRecursionParsingBoundedMemo::testEmptyExpressionsAreHandledProperly
+)
+
+python_install_all() {
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pypdf/Manifest b/dev-python/pypdf/Manifest
index e27f61913b48..3737a00dd765 100644
--- a/dev-python/pypdf/Manifest
+++ b/dev-python/pypdf/Manifest
@@ -1,4 +1,5 @@
DIST pypdf-3.12.2.gh.tar.gz 7560560 BLAKE2B f00047287619e49829d516f06020119f2ff19e0d4e67ccf4e45c05b1bff66ca3e69a03da99113accb818b8873ae5e637d23991925633ac01a20dcd35a15d1609 SHA512 b888c81cc3cb331f7b5709c4fa29c9f2f0790fc67679112de9e48f31cb20047b7622bcb8e555d5113e6dea96ec5d1c2759ac84696278123eb5a7faeea727b192
DIST pypdf-3.13.0.gh.tar.gz 7563894 BLAKE2B f2f34dccda87e719b326b4c48331e9813a36dbecd14d26f9268b44891939fb3dac3a2bf2e298efd927e8fe97869f43d39f2890008858d42255c31f6496e2003a SHA512 6259b242aaba8e0b63b988749850aa2138b802eaf52d146793635ff723956f19b1989c3c76278ed4240acbc88f8dd4b7e64fcf777508e98dee81093d794b2945
+DIST pypdf-3.14.0.gh.tar.gz 7572714 BLAKE2B 5a706eb9f9965de9ec3e3b03e243b629700b0c43b0549d49c33cc0a4d5ab570c75aa03695ccb8b08dac99032e9c4c170f2511c0dc644fed90d14da4a3fd18dbd SHA512 f7fc45a10249d3a86e60ed73f8e9a226a8bbb3fe181efdc8102128b7005a39f2479386801d18e8d6be56e8a12b5d3c8769a9c5504df27bec981ebe9cf22da205
DIST pypdf-sample-files-2cf1e75af7bcb9c097deae6fb112c715d4721744.gh.tar.gz 10226061 BLAKE2B a9b32d6cd3d22bbc0aee54ca3e914c4d2eb2a9a44a1a508e54e0a8fbcb5fad9ab05e72cf66553a1b5595131104ff22dea115d2804d2970200c4cf5f808532174 SHA512 f064f0468b07bf705a1d0f3a0fc6fe535c234a39408dca268f223e7c3548e66f599a4e67156e7848b70e9a3bd1bc2756395dd93b0c828ee08fe2bb8833f2b196
DIST pypdf-sample-files-5b5ee6b0e9bf4b683490351b1e15e01d6553da7b.gh.tar.gz 10226115 BLAKE2B 7488897284b840c7d4c26525425d326024936654cea42c47f260d1bc61a32a5c1da0a7eb8a9ad532857ea5c2db3446ce5850c509f44ccf6143b8cf4cb826e6c9 SHA512 70d4f0b6957160698afdc9b5bfb9d197f55f1651bc2ec2326621bb77bae5460fe0d4d8543ddbb7ed270c2bd36ad0ccae14deae6040d7f4a01db52374b820fd7e
diff --git a/dev-python/pypdf/pypdf-3.14.0.ebuild b/dev-python/pypdf/pypdf-3.14.0.ebuild
new file mode 100644
index 000000000000..da5fe495f29f
--- /dev/null
+++ b/dev-python/pypdf/pypdf-3.14.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=5b5ee6b0e9bf4b683490351b1e15e01d6553da7b
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/pypdf/
+ https://github.com/py-pdf/pypdf/
+"
+SRC_URI="
+ https://github.com/py-pdf/pypdf/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+
+BDEPEND="
+ test? (
+ >=dev-python/pillow-8.0.0[jpeg,jpeg2k,tiff,${PYTHON_USEDEP}]
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # rely on -Werror
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_orientations
+ # TODO: requires fpdf
+ tests/test_page.py::test_compression
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${S}"/sample-files/ || die
+ fi
+}
+
+python_test() {
+ epytest -o addopts= -m "not enable_socket"
+}
diff --git a/dev-python/pytest-param-files/Manifest b/dev-python/pytest-param-files/Manifest
index de95dc54aaee..241be20b3dfa 100644
--- a/dev-python/pytest-param-files/Manifest
+++ b/dev-python/pytest-param-files/Manifest
@@ -1,2 +1,3 @@
DIST pytest-param-files-0.3.5.gh.tar.gz 7245 BLAKE2B 2a67c5ee30d6efb6b7ca7e3272c19c05dda460167cb1709693560ffe06b0ae39ae1b93fc5d6375f4e9cda21e3e02051424789afee55d201cfe070be8a05642ec SHA512 e80eddba2934fe5a6b68645cae243afa936ea3362a29d0b8a8ae4e11229ffb877f1ace9f41ac96d182d5787740fa76af8b106069feb95a7cab1ecc6f8d1088f9
DIST pytest-param-files-0.5.0.gh.tar.gz 8563 BLAKE2B fa3907f3da7607caa3ab4933052ce70bc87bdf1b55983ef9660dbf0d6ae8a838d185be7f03f8ee5a1beb5771bb9f19f46fc012eea1eb7ca6331ba3c9626c72ca SHA512 cfff7ef20d453cf50a72e78d546a948d49c415c212ffba8e0ac4abe1da2decd9097930777b5aa182fb97c9c5c01e4b00bee25bd27f34c6f35a14ba7177d17a16
+DIST pytest-param-files-0.6.0.gh.tar.gz 8526 BLAKE2B be4f2f385d5dcbb1debde45a9fb48cb22c8e75e39daeaf891ca2b0321afbd27b4917b1f6058816e9fac2fb589076a06d6159bbbb0bac610bc3498ffcf71cf812 SHA512 712e4dfcccec3bc266f98a6339985b42171cf255552356107953dba691f4d6cfac125a8390349459cf67d8ca92ddc2a9dba8cfdd9b3a20a5ec6578df93cb006a
diff --git a/dev-python/pytest-param-files/pytest-param-files-0.6.0.ebuild b/dev-python/pytest-param-files/pytest-param-files-0.6.0.ebuild
new file mode 100644
index 000000000000..f76b952b5269
--- /dev/null
+++ b/dev-python/pytest-param-files/pytest-param-files-0.6.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Pytest parametrize decorators from external files."
+HOMEPAGE="
+ https://github.com/chrisjsewell/pytest-param-files/
+ https://pypi.org/project/pytest_param_files/
+"
+SRC_URI="
+ https://github.com/chrisjsewell/pytest-param-files/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+ >=dev-python/ruamel-yaml-0.15[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pytest-subprocess/pytest-subprocess-1.5.0.ebuild b/dev-python/pytest-subprocess/pytest-subprocess-1.5.0.ebuild
index cd9ee2cda6c6..f73470da5b97 100644
--- a/dev-python/pytest-subprocess/pytest-subprocess-1.5.0.ebuild
+++ b/dev-python/pytest-subprocess/pytest-subprocess-1.5.0.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm64"
RDEPEND="
>=dev-python/pytest-4.0.0[${PYTHON_USEDEP}]
diff --git a/dev-python/python-slugify/python-slugify-8.0.1.ebuild b/dev-python/python-slugify/python-slugify-8.0.1.ebuild
index ed3e340df3f9..2c8a544eb40d 100644
--- a/dev-python/python-slugify/python-slugify-8.0.1.ebuild
+++ b/dev-python/python-slugify/python-slugify-8.0.1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~ppc64 ~riscv x86 ~arm64-macos ~x64-macos"
RDEPEND="
dev-python/text-unidecode[${PYTHON_USEDEP}]
diff --git a/dev-python/pytimeparse/pytimeparse-1.1.8-r1.ebuild b/dev-python/pytimeparse/pytimeparse-1.1.8-r1.ebuild
index b51a4173b91c..bb088734f864 100644
--- a/dev-python/pytimeparse/pytimeparse-1.1.8-r1.ebuild
+++ b/dev-python/pytimeparse/pytimeparse-1.1.8-r1.ebuild
@@ -12,6 +12,6 @@ HOMEPAGE="https://github.com/wroberts/pytimeparse https://pypi.org/project/pytim
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~riscv"
+KEYWORDS="~amd64 ~riscv ~arm64-macos ~x64-macos"
distutils_enable_tests unittest
diff --git a/dev-python/rich/Manifest b/dev-python/rich/Manifest
index 2558831bd4d9..8bb7aba0c7de 100644
--- a/dev-python/rich/Manifest
+++ b/dev-python/rich/Manifest
@@ -1 +1,2 @@
DIST rich-13.4.2.gh.tar.gz 15063000 BLAKE2B f65079440bc7d89a3ff03be01fa71e076493ae50f22ae8781be2448a7ff2769c174d6654db3a835d34720c34cd8cbecfdd6b13e3064cf7fdcade71806563309d SHA512 17052a9fb0e1d89b31a00d8a719214719891d048fd805185b2d4258c8766130f44bf2280c9567bc162f3b34d9bf2eb7d747d6a37d910c81cd53d3003b51f70bd
+DIST rich-13.5.0.gh.tar.gz 15064859 BLAKE2B 70122d319145ed8ba7ce9caa5bb79600b3b66adb897a6555c02d4d5f41ab7aa36298bbc890ce2a895a7968f0fd4c6b15b3f4772a2cf867a56cbd9755442ac0cd SHA512 0c7c62d99b15fecfc54b955e01e88eae6dc5fee7dc56749f8b9c9447425a5c32b89d19b1132c72a32204a1df0a14268e2b0797a3ba3e164dc94f72858f790a17
diff --git a/dev-python/rich/rich-13.5.0.ebuild b/dev-python/rich/rich-13.5.0.ebuild
new file mode 100644
index 000000000000..353debe9fe77
--- /dev/null
+++ b/dev-python/rich/rich-13.5.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Python library for rendering rich text, tables, etc. to the terminal"
+HOMEPAGE="
+ https://github.com/Textualize/rich/
+ https://pypi.org/project/rich/
+"
+SRC_URI="
+ https://github.com/Textualize/rich/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/colorama[${PYTHON_USEDEP}]
+ >=dev-python/markdown-it-py-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.13.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x COLUMNS=80
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_console.py::test_size_can_fall_back_to_std_descriptors
+ tests/test_inspect.py::test_inspect_integer_with_methods_python38_and_python39
+ # pygments?
+ tests/test_syntax.py::test_python_render_simple_indent_guides
+ tests/test_syntax.py::test_python_render_line_range_indent_guides
+ )
+ # version-specific output -- the usual deal
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # pypy3.10, to be more precise
+ tests/test_inspect.py::test_inspect_integer_with_methods_python310only
+ )
+ ;;
+ python3.12)
+ EPYTEST_DESELECT+=(
+ tests/test_inspect.py::test_inspect_builtin_function_except_python311
+ tests/test_inspect.py::test_inspect_integer_with_methods_python310only
+ tests/test_inspect.py::test_inspect_integer_with_methods_python311_and_above
+ tests/test_pretty.py::test_attrs_broken
+ )
+ ;;
+ esac
+ epytest -p no:pytest-qt
+}
+
+pkg_postinst() {
+ optfeature "integration with HTML widgets for Jupyter" dev-python/ipywidgets
+}
diff --git a/dev-python/scikit-build-core/scikit-build-core-0.4.8.ebuild b/dev-python/scikit-build-core/scikit-build-core-0.4.8.ebuild
index 6834eedfdd8c..c3bca10b4056 100644
--- a/dev-python/scikit-build-core/scikit-build-core-0.4.8.ebuild
+++ b/dev-python/scikit-build-core/scikit-build-core-0.4.8.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm64"
# we always want [pyproject] extra
RDEPEND="
diff --git a/dev-python/text-unidecode/text-unidecode-1.3-r1.ebuild b/dev-python/text-unidecode/text-unidecode-1.3-r1.ebuild
index d5b138405b59..52cda2263649 100644
--- a/dev-python/text-unidecode/text-unidecode-1.3-r1.ebuild
+++ b/dev-python/text-unidecode/text-unidecode-1.3-r1.ebuild
@@ -17,6 +17,6 @@ HOMEPAGE="
LICENSE="|| ( Artistic GPL-2+ )"
SLOT="0"
-KEYWORDS="amd64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~ppc64 ~riscv x86 ~arm64-macos ~x64-macos"
distutils_enable_tests pytest
diff --git a/dev-python/xlrd/xlrd-2.0.1-r1.ebuild b/dev-python/xlrd/xlrd-2.0.1-r1.ebuild
index afcbfcf9d487..47cf41f119d0 100644
--- a/dev-python/xlrd/xlrd-2.0.1-r1.ebuild
+++ b/dev-python/xlrd/xlrd-2.0.1-r1.ebuild
@@ -21,6 +21,6 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
distutils_enable_tests pytest
diff --git a/dev-python/xxhash/Manifest b/dev-python/xxhash/Manifest
index 2a51c4bd01f3..5c2639f65c74 100644
--- a/dev-python/xxhash/Manifest
+++ b/dev-python/xxhash/Manifest
@@ -1 +1,2 @@
DIST xxhash-3.2.0.tar.gz 74561 BLAKE2B d2c32b9a556eaaa67d961e130b017ff82944fbec983f24e0356436a7a23927faaba118328eff508e288e0757a1379b5ff88a48c2130eb9b3cf347e178cfc810d SHA512 bbe903b95de3e91177064986adc5c945a9b7058650ea2b5cc10ee162a15a42909dc69f95b86081b8d276960f309b4bacf895ad263a9d9188fa66bb216d76dcd5
+DIST xxhash-3.3.0.tar.gz 84262 BLAKE2B 9655bed8c30e8ecc7b3f12bebe9f845412e4fbc24daef11570eb8bf78deaf78fe4ea874a5ed334c965c055e6ad4e32f03f025d3ed815bb7a2249e8f80a0b04b0 SHA512 1418e0ff8d7dca7759bfe048ee42c2b1168b68ec69f431622f065c28bcf65b2e21f5951a8651f2151a17f8d1b19b47d5c305a545ae1e0d427c7cadf29e94b968
diff --git a/dev-python/xxhash/xxhash-3.3.0.ebuild b/dev-python/xxhash/xxhash-3.3.0.ebuild
new file mode 100644
index 000000000000..e1d78a96ecd7
--- /dev/null
+++ b/dev-python/xxhash/xxhash-3.3.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python binding for the xxHash library"
+HOMEPAGE="
+ https://github.com/ifduyue/python-xxhash/
+ https://pypi.org/project/xxhash/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND="
+ >=dev-libs/xxhash-0.8.0
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_configure_all() {
+ export XXHASH_LINK_SO=1
+}
+
+python_test() {
+ cd tests || die
+ eunittest
+}